BuildRequires: apache-jdo-1.1-impl
BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#


Summary:        Triactive JDO
Name:           tjdo
Version:        2.1
Release:        alt1_2jpp1.7
Epoch:          0
License:        Apache Software License
URL:            http://tjdo.sourceforge.net/
Group:          Development/Java
Source0:        TJDO_2_0-src.zip
Patch0:         tjdo-build_xml.patch
Patch1:         tjdo-SunReferenceEnhancer.patch
BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: ant >= 0:1.6
BuildRequires: jakarta-commons-collections
BuildRequires: jakarta-commons-dbcp
BuildRequires: jakarta-commons-pool
BuildRequires: junit
BuildRequires: apache-jdo-1.1-api
BuildRequires: geronimo-jta-1.0.1B-api
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
BuildRequires: log4j
Requires: jakarta-commons-collections
Requires: jakarta-commons-dbcp
Requires: jakarta-commons-pool
Requires: jdo < 0:2.0
Requires: jta
Requires: log4j
Requires: xerces-j2
Requires: xml-commons-apis
BuildArch:      noarch

%description
TriActive JDO (TJDO) is an open source implementation 
of Sun's JDO specification (JSR 12), designed to support 
transparent persistence using any JDBC-compliant database. 
Although the project is formally in beta release, TJDO is 
currently deployed and running successfully in a number of 
commercial installations. 
The current version has been tested successfully using 
Cloudscape, DB2, Firebird, MySQL, Oracle 8i, PostgreSQL, 
SAP DB, and MS SQL Server.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Docs for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.


%prep
%setup -T -c -n %{name}
(cd ..
unzip -q %{SOURCE0}
)
find . -name "*.jar" -exec rm {} \;
(cd lib
ln -s $(build-classpath commons-collections) commons-collections.jar
ln -s $(build-classpath commons-dbcp) commons-dbcp.jar
ln -s $(build-classpath commons-pool) commons-pool.jar
ln -s $(build-classpath apache-jdo-1.1-api) jdo.jar
ln -s $(build-classpath apache-jdo-1.1-impl) jdori.jar
ln -s $(build-classpath apache-jdo-1.1-impl) jdori-enhancer.jar
ln -s $(build-classpath junit) junit.jar
ln -s $(build-classpath log4j) log4j.jar
ln -s $(build-classpath jta) jta.jar
ln -s $(build-classpath xerces-j2) xerces-j2.jar
ln -s $(build-classpath xml-commons-apis) xml-commons-apis.jar
)

%patch0 -b .sav
%patch1 -b .sav

%build
ant jar docs

%install

# jars
install -Dpm 644 %{name}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf docs/api

# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%{_javadir}/*.jar
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%doc %{_docdir}/%{name}-%{version}

%changelog
* Sun Oct 28 2007 Igor Vlasenko <viy@altlinux.ru> 0:2.1-alt1_2jpp1.7
- converted from JPackage by jppimport script

